ru.bitel.bgbilling.kernel.event.events

## Class ContractAddingSubEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.kernel.event.events.ContractAddingSubEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ContractAddingSubEvent
      extends LocalEvent

  Синхронное событие, генерируется перед связкой супердоговора с субдоговором. В том числе при создании нового договора как субдоговора текущего.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractAddingSubEvent(int userId, Contract superContract, Contract subContract)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getError()`
    `Contract` | `getSubContract()`
    `Contract` | `getSuperContract()`
    `void` | `setError(java.lang.String error)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractAddingSubEvent

          public ContractAddingSubEvent(int userId,
                                        Contract superContract,
                                        Contract subContract)

  - ### Method Detail

    - #### getError

          public java.lang.String getError()

    - #### setError

          public void setError(java.lang.String error)

    - #### getSuperContract

          public Contract getSuperContract()

    - #### getSubContract

          public Contract getSubContract()